[proaudio] [1389] implement ardour3 "in-/usr" slotting :)

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 1389
Author:   gimpel
Date:     2008-12-15 12:26:48 +0100 (Mon, 15 Dec 2008)

Log Message:
-----------
implement ardour3 "in-/usr" slotting :)

Modified Paths:
--------------
    trunk/overlays/proaudio/media-sound/ardour/Manifest
    trunk/overlays/proaudio/media-sound/ardour/ardour-3.9999.ebuild


Modified: trunk/overlays/proaudio/media-sound/ardour/Manifest
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/Manifest	2008-12-14 16:04:17 UTC (rev 1388)
+++ trunk/overlays/proaudio/media-sound/ardour/Manifest	2008-12-15 11:26:48 UTC (rev 1389)
@@ -24,7 +24,7 @@
 EBUILD ardour-2.7.1.ebuild 3106 RMD160 a1766aafc80f4bbfaa703f276a4b5bd4e46940fd SHA1 1ada42af36b81fa1476e2c02376d98a906d8812f SHA256 8d7430407d37e598cadb38015505acdd2bce43ede576117594c41a802d3d5591
 EBUILD ardour-2.7_p4225.ebuild 3110 RMD160 b561af3f9e1753c0e304de616052729702284268 SHA1 1f98f15b9c193f884012323157fb48eb65aa2f8e SHA256 a8dc0d4f7ceb4950c815c328dea51d7e61e3554be52d1776677fc5e523266392
 EBUILD ardour-2.9999.ebuild 3686 RMD160 b74408219a71365c7238b557f2c397f59de3b87d SHA1 6a7f76a79c4cc3431b16e386bf5c9d3abab75cc4 SHA256 9f996801de7dd75f82a8ac1201986fb53624c4e658c0d7686f79fd5c3a23263a
-EBUILD ardour-3.9999.ebuild 2490 RMD160 877d57f997f3f5984a0ad770b2d1d1ba3ae0519b SHA1 d79f15c59ff2c3911d5d132baa7fe0f9e645147b SHA256 bd1348b01b9a8eae9686216b48da27d0dbadf2a5acc0b82d32b68c9436001be0
+EBUILD ardour-3.9999.ebuild 3057 RMD160 f5368dbe988266fd5637f254815e6c205ec0e3bb SHA1 9d50eebd5da678008ac78854c79d24cfc5be4ea8 SHA256 254a9300f0c8b29aa02097948e0bc1e919bf31f135d99c949176e458be6a75db
 EBUILD ardour-99992.ebuild 3384 RMD160 8641bbee54012722ebd94f475f44a0b0196402b6 SHA1 82ebe95518524a897291d31e180655937f344b60 SHA256 738ba0d6c785b4f1eef3287d956ec72902807e2d2b8d8ab3e4b5e779dc398c9a
 MISC ChangeLog 2340 RMD160 575c2bffce3e5a49ee9e8fc956123906c5023ab5 SHA1 34e6a366339ea7ad3ef4fcfcea4935215983764f SHA256 bc636640f17a4aba67aee885595be5fa75ed4ae089c0f0b5da0e64ca3281ce10
 MISC metadata.xml 268 RMD160 facc07bd885f20615a1f2555069329c642e1a566 SHA1 2456bdb8a218c9d477d2d6ee4bf158de070c7be4 SHA256 96629b266b743f566c29158d4498edeeb1cd6b1f0cd9629e42d4f10b4da82f89

Modified: trunk/overlays/proaudio/media-sound/ardour/ardour-3.9999.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-3.9999.ebuild	2008-12-14 16:04:17 UTC (rev 1388)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-3.9999.ebuild	2008-12-15 11:26:48 UTC (rev 1389)
@@ -12,7 +12,7 @@
 ESVN_REPO_URI="http://subversion.ardour.org/svn/ardour2/branches/3.0";
 
 LICENSE="GPL-2"
-SLOT="0"
+SLOT="3"
 KEYWORDS=""
 IUSE="altivec debug lv2 freesound nls sse surfaces"
 
@@ -50,6 +50,22 @@
 	>=dev-util/scons-0.98.5
 	nls? ( sys-devel/gettext )"
 
+src_unpack() {
+	subversion_src_unpack
+	cd "${S}"
+
+	# some temporary slotting fixes
+	sed -i -e 's:ardour2:ardour3:' \
+		libs/rubberband/SConscript \
+		libs/clearlooks-older/SConscript \
+		|| die
+		# now it gets dirty... the locale files...
+	sed -e "s:share/locale:share/ardour3/locale:" \
+		-i SConstruct gtk2_ardour/SConscript || die
+	sed -e "s:'share', 'locale':'share', 'ardour3', 'locale':" \
+		-i libs/ardour/SConscript
+}
+	
 ardour_use_enable() {
 	use ${2} && echo "${1}=1" || echo "${1}=0"
 }
@@ -64,10 +80,10 @@
 	tc-export CC CXX
 
 	scons \
+		$(ardour_use_enable NLS nls) \
 		$(ardour_use_enable DEBUG debug) \
 		FPU_OPTIMIZATION=${FPU_OPTIMIZATION} \
 		DESTDIR="${D}" \
-		$(ardour_use_enable NLS nls) \
 		$(ardour_use_enable FREESOUND freesound) \
 		$(ardour_use_enable LV2 lv2) \
 		$(ardour_use_enable SURFACES surfaces) \
@@ -82,8 +98,11 @@
 
 	dodoc DOCUMENTATION/*
 
-	doicon "${S}/icons/icon/ardour_icon_mac.png"
-	make_desktop_entry ardour3 Ardour3 ardour3 AudioVideo
+	newicon "icons/icon/ardour_icon_tango_48px_red.png" "ardour3.png"
+	make_desktop_entry "ardour3" "Ardour3" "ardour3" "AudioVideo;Audio"
+
+	# fix wrapper
+	sed -i -e 's:ardour2:ardour3:g' ${D}/usr/bin/ardour3 || die
 }
 
 pkg_postinst() {
@@ -92,7 +111,7 @@
 	
 	ewarn "---------------- WARNING -------------------"
 	ewarn ""
-	ewarn "MAKE BACKUPS OF THE SESSION FILES."
+	ewarn "MAKE BACKUPS OF THE SESSION FILES BEFORE TRYING THIS VERSION."
 	ewarn ""
 	ewarn "The simplest way to address this is to make a copy of the session file itself"
 	ewarn "(e.g mysession/mysession.ardour) and make that file unreadable using chmod(1)."


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/